clear; close all; clc

load("open_loop_filter.mat")

figure
hold on
plot(out.Distanz_0_alpha.Time, out.Distanz_0_alpha.Data(:));
plot(out.Distanz_01_alpha.Time, out.Distanz_01_alpha.Data(:));
plot(out.Distanz_02_alpha.Time, out.Distanz_02_alpha.Data(:));
plot(out.Distanz_03_alpha.Time, out.Distanz_03_alpha.Data(:));
plot(out.Distanz_04_alpha.Time, out.Distanz_04_alpha.Data(:));
plot(out.Distanz_05_alpha.Time, out.Distanz_05_alpha.Data(:));
plot(out.Distanz_06_alpha.Time, out.Distanz_06_alpha.Data(:));
plot(out.Distanz_07_alpha.Time, out.Distanz_07_alpha.Data(:));
plot(out.Distanz_08_alpha.Time, out.Distanz_08_alpha.Data(:));
plot(out.Distanz_09_alpha.Time, out.Distanz_09_alpha.Data(:));

xlabel("Zeit in Sekunden")
ylabel("Distanz in cm")
title("Open-Loop Filter-Parameterbestimmung")
legend("Messdaten", "\alpha = 0.1", "\alpha = 0.2", "\alpha = 0.3", "\alpha = 0.4", "\alpha = 0.5", "\alpha = 0.6", "\alpha = 0.7", "\alpha = 0.8", "\alpha = 0.9")